<?php
/*
'**************************************************************************************************
' 程序名称: CCTVAI开源音乐管理系统
' 官方网站: http://www.cctvai.com
' 联系 Q Q: 1542367792
' QQ交流群：136687984
' 版本：(终结版)
' 备注：未经书面授权，不得向任何第三方提供本软件系统！
' 功能，模板，插件，扩展，定制请联系QQ：1542367792
'**************************************************************************************************
*/
error_reporting(0); 
include "../include/cctvai.conn.php";
if(cd_mobile=="no"){header("Location:".cd_webpath.cd_webmlvideo."");exit();}
if(cd_mobilepc=="no"){if (!isMobile()){header("Location:".cd_webpath.cd_webmlvideo."");exit();}}
$id=SafeRequest("id", "get");
$p=SafeRequest("pages", "get");
$error="您访问的Url页面不存在，请检查Url是否正确或包含非法字符！";
if(!IsNumID($id)) {exit(include _cctvai_root_ . "/include/error/content_error.php");}
if(!IsNumID($p)) {exit(include _cctvai_root_ . "/include/error/content_error.php");}
switch ($id) {
	case '1':
		$sql="CD_Hits";
		$type="CD_Hits";
		$name="今日人气榜";
		break;
	case '2':
		$sql="CD_WeekHits";
		$type="CD_WeekHits";
		$name="本周人气榜";
		break;
	case '3':
		$sql="CD_MonthHits";
		$type="CD_MonthHits";
		$name="本月人气榜";
		break;
	case '4':
		$sql="CD_Hits";
		$type="CD_Hits";
		$name="年度人气榜";
		break;
	case '5':
		$sql="CD_DownHits";
		$type="CD_DownHits";
		$name="下载人气榜";
		break;
	case '6':
		$sql="CD_uHits";
		$type="CD_uHits";
		$name="推荐人气榜";
		break;
	case '7':
		$sql="CD_FavHits";
		$type="CD_FavHits";
		$name="收藏人气榜";
		break;
	default:
		$sql="CD_AddTime";
		$type="CD_Hits";
		$name="最近更新";
		break;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
 <head> 
  <meta http-equiv="Content-Type" content="text/html; charset=gbk" /> 
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0;" /> 
  <meta name="apple-mobile-web-app-capable" content="yes" /> 
  <meta name="apple-mobile-web-app-status-bar-style" content="black" /> 
  <meta name="format-detection" content="telephone=no" /> 
  <title>视频Top榜单-<?php echo cd_webname?>手机版</title> 
  <script src="js/jquery.js"></script>
  <script src="js/swiper.min.js"></script>
  <script src="js/main.js"></script>
  <link rel="stylesheet" href="css/style.css" type="text/css" />
  <link rel="stylesheet" href="css/list.css" type="text/css" />
 </head> 
 <body> 
<?php include "nav.php";?>
  <div class="x5_wap"> 
<?php include "head.php";?>
<!--分类筛选begin-->
   <div class="x5_class"> 
    <div class="container"> 
     <div class="class1"> 
      <div class="swiper-container"> 
       <div class="swiper-wrapper">
	   <div class="swiper-slide">按分类</div>
	   <div class="swiper-slide"><a href="video.php">首页</a></div>
<?php
$videoclasssql1="select CD_ID,CD_Name from " . tname('videoclass') . " where CD_FatherID=0 and CD_IsHide=0 order by CD_TheOrder";
$results=$db->query($videoclasssql1);
if($results) {
		while($videoclass1=$db->fetch_array($results)) {
						echo'<div class="swiper-slide"><a href="video_list.php?id='.$videoclass1['CD_ID'].'">'.$videoclass1['CD_Name'].'</a></div> ';
		}
}
?>		
       </div> 
      </div> 
</div>	  
     <div class="class3"> 
      <div class="swiper-container"> 
       <div class="swiper-wrapper"> 
	   <div class="swiper-slide">Top榜单</div>
	   <div class="swiper-slide <?php if($id=="1"){echo 'selected';}?>"><a href="video_top.php?id=1">日人气</a></div>
	   <div class="swiper-slide <?php if($id=="2"){echo 'selected';}?>"><a href="video_top.php?id=2">周人气</a></div>
	   <div class="swiper-slide <?php if($id=="3"){echo 'selected';}?>"><a href="video_top.php?id=3">月人气</a></div>
	   <div class="swiper-slide <?php if($id=="4"){echo 'selected';}?>"><a href="video_top.php?id=4">总人气</a></div>
	   <div class="swiper-slide <?php if($id=="5"){echo 'selected';}?>"><a href="video_top.php?id=5">下载榜</a></div>
	   <div class="swiper-slide <?php if($id=="6"){echo 'selected';}?>"><a href="video_top.php?id=6">推荐榜</a></div> 
	   <div class="swiper-slide <?php if($id=="7"){echo 'selected';}?>"><a href="video_top.php?id=7">收藏榜</a></div> 
       </div> 
      </div> 
    </div> 
   </div> 
   </div> 
<!--分类筛选end-->
   <div class="video-list"> 
   <div class="head"><strong><?php echo $name?></strong></div>
<?php 
$videosql="select CD_Hits,CD_Pic,CD_ID,CD_Name,CD_LastHitTime,$type from ".tname('video')." where CD_Deleted=0 and CD_Passed=0 order by $sql desc";
$Arr=getuserpage($videosql, 20); //sql,每页显示条数
$result=$db->query($Arr[2]);
$num=$db->num_rows($result);
if($num==0) {
		echo '<center>No.video</center>';
} else {
	if($result) {
		while($video=$db->fetch_array($result)) {
echo '    <div class="videoMv" onclick="window.open(\'video_p.php?id='.$video['CD_ID'].'\',\'_self\')">
     <p class="videoMvImg"><img src="'.LinkPicUrl($video['CD_Pic'],"video").'" width="100%" height="75" /></p>
     <p class="videoRiTex"><span class="videoRiName">'.$video['CD_Name'].'</span><span class="videoRiHits">人气：'.$video[$type].'</span><span class="videoRiHits">推荐时间：'.datetime($video['CD_LastHitTime']).'</span></p>
    </div> ';
}
} 
}
?>
    </ul>
	<div style="text-align: center;margin: 10px;"><?php echo $Arr[0];?></div>	
   </div> 
  </div> 
<?php include "bottom.php";?>
 </body>
</html>
<?php
function getuserpage($mysql, $pagesize) {
	global $db;
	$url=$_SERVER["QUERY_STRING"];
	if(stristr($url, '&pages')) {
		$url=preg_replace('/&pages=([\S]+?)$/', '', $url);
	}
	if(stristr($url, 'pages')) {
		$url=preg_replace('/pages=([\S]+?)$/', '', $url);
	}
	if(IsNul($url)) {
		$url.="&";
	}
	$pages=SafeRequest("pages", "get");
	$pagesok=$pagesize; //每页显示记录数
	if(!isset($pages)||$pages==""||!is_numeric($pages)||$pages<=0) {
		$pages=1;
	}
	$sqlstr=$mysql;
	$res=$db->query($sqlstr);
	$nums=$db->num_rows($res);
	if($nums==0) {
		$nums=1;
	}
	$pagejs=ceil($nums/$pagesok); //总页数
	if($pages>$pagejs) {
		$pages=$pagejs;
	}
	$sql=$sqlstr . " LIMIT " . $pagesok*($pages-1) . "," . $pagesok;
	$result=$db->query($sql);
	if($pagejs>1) {
		if($pages>0) {
			$str.="<a href=\"?" . $url . "pages=" . ($pages-1) . "\" target=\"_self\">上一页</a>　　　";
		}
		if($pages<$pagejs) {
			$str.="<a href=\"?" . $url . "pages=" . ($pages+1) . "\" target=\"_self\">下一页</a>";
		}
	}
	while($row=$db->fetch_array($result)) {
	}
	$arr=array(
		$str,
		$result,
		$sql,
		$pagejs
	);
	return $arr;
}
?>